# Spice.ai v0.1.1-alpha

Announcing the release of Spice.ai v0.1.1-alpha! 🙌

This is the first point release following the public launch of v0.1-alpha and is focused on fixes and improvements to v0.1-alpha before the bigger v0.2-alpha release.

Highlights include initial support for [interpretations](https://docs.spiceai.org/concepts/interpretations) and the addition of a new [Json Data Processor](https://github.com/spiceai/data-components-contrib/blob/trunk/dataprocessors/json/README.md) which enables observations to be posted in JSON to a new [Dataspaces API](https://docs.spiceai.org/concepts/dataspaces). The ability to post observations directly to the Dataspace also now makes Data Connectors optional.

Interpretations will enable end-users and external systems to participate in training by providing expert interpretation of the data, ultimately creating smarter pods. v0.1.1-alpha includes the ability to add and get interpretations by [API](https://docs.spiceai.org/api/) and through import/export of Spicepods. Reward function authors will be able to use interpretations in reward functions from the v0.2-alpha release.

Previously observations could only be added in CSV format. JSON is now supported by calling the new dataspace observations API that leverages the also new [JSON processor](https://github.com/spiceai/data-components-contrib/tree/trunk/dataprocessors/json) located in the data-components-contrib repository. The JSON processor defaults to parsing the Spice.ai observation format and is extensible to other schemas.

The dashboard has also been improved to show action counts during a training run, making it easier to visualize the learning process.

![](https://user-images.githubusercontent.com/80174/133538559-408e738a-852c-4c83-a7b1-4841244d9f29.png)

## New in this release

- **Adds** visualization of actions counts during a training run in the dashboard.
- **Adds** a new interpretations API, along with support for importing and exporting interpretations to pods. [Learn more](https://docs.spiceai.org/concepts/interpretations).
- **Adds** a new API for ingesting dataspace observations. [Learn more](https://docs.spiceai.org/concepts/dataspaces).
- **Adds** an official [DockerHub](https://hub.docker.com/repository/docker/spiceai/spiceai) repository for `spiceai/spiceai`.
- **Fixes** bug where the dashboard would not load on browser refresh.
