# Spice.ai v0.4.1-alpha

Announcing the release of Spice.ai v0.4.1-alpha! ✅

This point release focuses on fixes and improvements to v0.4-alpha. Highlights include AI engine performance improvements, updates to the dashboard observations data grid, notification of new CLI versions, and several bug fixes.

A special acknowledgment to [@Adm28](https://github.com/Adm28), who added the CLI upgrade detection and prompt, which notifies users of new CLI versions and prompts to upgrade.

<div style="display: flex; justify-content: center; padding: 5px;">
  <div style="display: flex; flex-direction: column;">
    <img style="max-width: 400px;" src="https://user-images.githubusercontent.com/80174/142827883-c3791f8b-82dc-4e66-80d7-899268396f32.png" />
  </div>
</div>

## Highlights in v0.4.1-alpha

### AI engine performance improvements

Overall training performance has been improved up to 13% by removing a lock in the AI engine.

In versions before v0.4.1-alpha, performance was especially impacted when streaming new data during a training run.

### Dashboard Observations Datagrid

The dashboard observations datagrid now automatically resizes to the window width, and headers are easier to read, with automatic grouping into dataspaces. In addition, column widths are also resizable.

### CLI version detection and upgrade prompt

When it is run, the Spice.ai CLI will now automatically check for new CLI versions once a day maximum.

If it detects a new version, it will print a notification to the console on `spice version`, `spice run` or `spice add` commands prompting the user to upgrade using the new `spice upgrade` command.

## New in this release

- **Adds** automatic resizing of the observations datagrid.
- **Adds** header group by dataspace to the observations datagrid.
- **Adds** CLI version detection and prompt for upgrade on version, run, and add commands.
- **Adds** Support for parsing hex-encoded times and measurements. Use the `time_format` of `hex` or prefix with `0x`.
- **Updates** AI engine with improved training performance.
- **Updates** Go and NPM dependencies.
- **Fixes** detection of Spicepods in the `Spicepods` directory, and a resulting error when loading a non-Spicepod file.
- **Fixes** a potential "zip slip" security issue.
- **Fixes** an issue where the AI engine may not gracefully shutdown.
