# Spice.ai v0.5-alpha

We are excited to announce the release of Spice.ai v0.5-alpha! 🥇

Highlights include a new learning algorithm called "Soft Actor-Critic" (SAC), fixes to the behavior of `spice upgrade`, and a more consistent authoring experience for reward functions.

If you are new to Spice.ai, check out the [getting started guide](https://docs.spiceai.org/getting-started/) and star [spiceai/spiceai](https://github.com/spiceai/spiceai) on GitHub.

## Highlights in v0.5-alpha

### Soft Actor-Critic (Discrete) (SAC) Learning Algorithm

The addition of the Soft Actor-Critic (Discrete) (SAC) learning algorithm is a significant improvement to the power of the AI engine. It is not set as the default algorithm yet, so to start using it pass the `--learning-algorithm sacd` parameter to `spice train`. We'd love to get your feedback on how its working!

### Consistent reward authoring experience

With the addition of the reward function files that allow you to edit your reward function in a Python file, the behavior of starting a new training session by editing the reward function code was lost. With this release, that behavior is restored.

In addition, there is a breaking change to the variables used to access the observation state and interpretations. This change was made to better reflect the purpose of the variables and make them easier to work with in Python

| Previous (Type)                     | New (Type)                             |
| ----------------------------------- | -------------------------------------- |
| `prev_state` (SimpleNamespace)      | `current_state` (dict)                 |
| `prev_state.interpretations` (list) | `current_state_interpretations` (list) |
| `new_state` (SimpleNamespace)       | `next_state` (dict)                    |
| `new_state.interpretations` (list)  | `next_state_interpretations` (list)    |

### Improved `spice upgrade` behavior

The Spice.ai CLI will no longer recommend "upgrading" to an older version. An issue was also fixed where trying to upgrade the Spice.ai CLI using `spice upgrade` on Linux would return an error.

## New in this release

- **Adds** a new learning algorithm called "Soft-Actor Critic (Discrete)" (SAC).
- **Updates** the reward function parameters for the YAML code blocks from `prev_state` and `new_state` to `current_state` and `next_state` to be consistent with the reward function files.
- **Fixes** an issue where editing a reward functions file would not automatically trigger training.
- **Fixes** the normalization of values for the Deep-Q Learning algorithm to handle larger values.
- **Fixes** an issue where the Spice.ai CLI would not upgrade on Linux with the `spice upgrade` command.
- **Fixes** an issue where the Spice.ai CLI would recommend an "upgrade" to an older version.
